<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>New features</h1>

<dl>
<dt> <b>block/curl</b>
<dd>
Matthew Booth fixed a few bugs affecting modern curl, and now
it works reliably <br>
Daniel Barboza added <b>timeouts</b> <br>
I added <b>cookie</b> support
<small>(for VMware vCenter)</small>
</ul>
</dd>

<dt> <b>block/ssh</b>
<dd>
I added this driver
<small>(for Xen)</small> <br>
It needs a bit of work still
</ul>
</dd>

<dt> <b>copy-on-read</b>
<dd>
</dd>

<dt> <b>discard &amp; fstrim</b>
<dd>
qemu has had excellent discard support for a few years <br>
I added support for fstrim to <b>ntfs-3g</b> <br>
Massively reduces the time taken to copy guests <br>
</ul>
</dd>

<dt> <b><q>json:</q> paths</b>
<dd>
Less error-prone than ordinary qemu block paths
</dd>

<dt> <b>qcow2 v3</b>
<dd>
Several enhancements, but the most important is support for zero clusters
</dd>

</dl>
